Summary:	Tool for dumping a computer's DMI table contents
Name:		dmidecode
Version:	3.1
Release:	%mkrel 1

Source0:	http://download.savannah.gnu.org/releases/dmidecode/%{name}-%{version}.tar.xz
# http://git.savannah.gnu.org/cgit/dmidecode.git

URL:		http://www.nongnu.org/dmidecode/
License:	GPLv2+
Group:		System/Kernel and hardware

%description
Dmidecode is a tool for dumping a computer's DMI (some say SMBIOS) table
contents in a human-readable format. This table contains a description of the
system's hardware components, as well as other useful pieces of information
such as serial numbers and BIOS revision. Part of its code can be found in
the Linux kernel, because DMI data may be used to enable or disable specific
portions of code depending on the hardware vendor. Thus, dmidecode is mainly
used to detect system "signatures" and add them to the kernel source code
when needed.

%prep
%setup -q
%autopatch -p1

%build
%make CFLAGS="%{optflags}" LDFLAGS="%{?ldflags}"

%install
%{makeinstall_std} prefix=%{_prefix} mandir=%{_mandir}
rm -rf %{buildroot}/%{_defaultdocdir}/%{name}

%files
%doc README LICENSE AUTHORS CHANGELOG
%{_sbindir}/*
%{_mandir}/man8/*




%changelog
* Mon May 29 2017 luigiwalser <luigiwalser> 3.1-1.mga6
+ Revision: 1105477
- 3.1

* Tue Apr 12 2016 tmb <tmb> 3.0-2.mga6
+ Revision: 1000761
- sync with upstream git to fix SMBIOS3 support

* Sun Jan 03 2016 luigiwalser <luigiwalser> 3.0-1.mga6
+ Revision: 918719
- 3.0

* Sat Aug 29 2015 tmb <tmb> 2.12-6.mga6
+ Revision: 871066
- add smbios3 and new hw detection from upstream

* Fri Aug 21 2015 tmb <tmb> 2.12-5.mga6
+ Revision: 867449
- rebuild for new gcc

* Wed Oct 15 2014 umeabot <umeabot> 2.12-4.mga5
+ Revision: 750299
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.12-3.mga5
+ Revision: 678773
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.12-2.mga4
+ Revision: 523983
- Mageia 4 Mass Rebuild

* Mon May 27 2013 tv <tv> 2.12-1.mga4
+ Revision: 428755
- new release

* Fri Jan 11 2013 umeabot <umeabot> 2.11-2.mga3
+ Revision: 348886
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + tv <tv>
    - drop patch 0 (merged upstream)

* Wed Apr 13 2011 tv <tv> 2.11-1.mga1
+ Revision: 84641
- temporary disable patch 0
- new release

* Tue Jan 11 2011 blino <blino> 2.10-5.mga1
+ Revision: 5766
- remove old conflicts
- imported package dmidecode

